How to add a guide point

#1

I want to add a guide point without a guide line. Can someone tell me how to do that? I thought there was an extension to do that.

0 Likes

#2

I don’t believe you can add a guide point with the normal interface. The item is technically a “Construction Point” and can be created using the Ruby APIs (as is done in a number of extensions). You can paste the following line into the Ruby Console and it will create what is reported back as a “Guide Point” in the entity info pane:

Sketchup.active_model.active_entities.add_cpoint(Geom::Point3d.new(10,10,0))

@Wo3Dan probably has more to say about this topic …

0 Likes

#3

Thanks for that suggestion.
I just answered my own question regarding an extension (which no doubt uses the function you mention). There is a plugin titled Pen Tool +
on Sketchucation. It does a bunch of cool things but amongst them is to let you easily input guide points (construction points)

1 Like

#4

You add a guide point by selecting the tape measure tool, clicking on a vertex, moving the cursor to where you want the point, and clicking again. If the new location is on the same edge as the start vertex, you will get just a guide point. If it is not, you will get a guide point with a dashed “tail” back to the reference point.

5 Likes

#5

There is a free plugin on Smustard called Midpoint. It adds a construction point halfway between any two other points.

A. This is pretty handy all by itself.
B. You can move or copy the construction point.

-Gully

0 Likes